/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { WebFilteringOptionsDescription } from "./WebFilteringOptionsDescription";
/**
 * @hidden
 */
var WebFilteringOptionsDescriptionMetadata = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebFilteringOptionsDescriptionMetadata, _super);
    function WebFilteringOptionsDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    WebFilteringOptionsDescriptionMetadata.b = function (a) {
        if (WebFilteringOptionsDescriptionMetadata.a == null) {
            WebFilteringOptionsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            WebFilteringOptionsDescriptionMetadata.c(WebFilteringOptionsDescriptionMetadata.a);
        }
        if (a.k(WebFilteringOptionsDescriptionMetadata.a)) {
            return;
        }
        a.aa(WebFilteringOptionsDescriptionMetadata.a);
    };
    WebFilteringOptionsDescriptionMetadata.c = function (a) {
        a.item("__qualifiedNameTS", "String:FilteringOptions");
        a.item("__skipModuleRegisterWebComponents", "Boolean");
        a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
    };
    WebFilteringOptionsDescriptionMetadata.d = function (a) {
        WebFilteringOptionsDescriptionMetadata.b(a);
        a.ac("WebFilteringOptions", function () { return new WebFilteringOptionsDescription(); });
        a.ab("WebFilteringOptions", WebFilteringOptionsDescriptionMetadata.a);
    };
    WebFilteringOptionsDescriptionMetadata.$t = markType(WebFilteringOptionsDescriptionMetadata, 'WebFilteringOptionsDescriptionMetadata');
    WebFilteringOptionsDescriptionMetadata.a = null;
    return WebFilteringOptionsDescriptionMetadata;
}(Base));
export { WebFilteringOptionsDescriptionMetadata };
